aboutsummaryrefslogtreecommitdiff
path: root/packages/linux_make/debian/pd-extended.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'packages/linux_make/debian/pd-extended.postinst')
-rw-r--r--packages/linux_make/debian/pd-extended.postinst19
1 files changed, 19 insertions, 0 deletions
diff --git a/packages/linux_make/debian/pd-extended.postinst b/packages/linux_make/debian/pd-extended.postinst
new file mode 100644
index 00000000..23f81787
--- /dev/null
+++ b/packages/linux_make/debian/pd-extended.postinst
@@ -0,0 +1,19 @@
+#!/bin/sh
+# this was is copied from audacity.postinst and audacity-data.postinst
+set -e
+
+if [ "$1" = "configure" ] && [ -x "`which update-menus 2>/dev/null`" ]; then
+ update-menus
+fi
+
+if [ "$1" = "configure" ] && [ -x "`which update-mime 2>/dev/null`" ]; then
+ update-mime
+fi
+
+if [ "$1" = "configure" ] && which update-desktop-database >/dev/null 2>&1 ; then
+ update-desktop-database -q
+fi
+
+if [ "$1" = "configure" ] && [ -x "`which update-mime-database 2>/dev/null`" ]; then
+ update-mime-database /usr/share/mime
+fi